Bug 547858 - SELinux is preventing /usr/bin/gok "getattr" access on /var/games.
Summary: SELinux is preventing /usr/bin/gok "getattr" access on /var/games.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:44aefcc3138...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-15 20:08 UTC by horner
Modified: 2009-12-22 20:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:42 UTC
Type: ---


Attachments (Terms of Use)

Description horner 2009-12-15 20:08:48 UTC
Summary:

SELinux is preventing /usr/bin/gok "getattr" access on /var/games.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by gok. It is not expected that this access is
required by gok and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:games_data_t:s0
Target Objects                /var/games [ dir ]
Source                        gok
Source Path                   /usr/bin/gok
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gok-2.28.1-1.fc12
Target RPM Packages           filesystem-2.4.30-2.fc12
Policy RPM                    selinux-policy-3.6.32-55.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.6-166.fc12.x86_64 #1 SMP Wed Dec 9 10:46:22
                              EST 2009 x86_64 x86_64
Alert Count                   2
First Seen                    Tue 15 Dec 2009 09:07:14 PM CET
Last Seen                     Tue 15 Dec 2009 09:07:14 PM CET
Local ID                      ff3ec0ae-911a-4361-a3ed-1cfae2ed5c40
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1260907634.757:36): avc:  denied  { getattr } for  pid=2541 comm="gok" path="/var/games" dev=dm-2 ino=32833 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:games_data_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1260907634.757:36): arch=c000003e syscall=6 success=yes exit=0 a0=7fc85c00d850 a1=7fc86b0a8ba0 a2=7fc86b0a8ba0 a3=6 items=0 ppid=2450 pid=2541 auid=4294967295 uid=42 gid=481 euid=42 suid=42 fsuid=42 egid=481 sgid=481 fsgid=481 tty=(none) ses=4294967295 comm="gok" exe="/usr/bin/gok" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-55.fc12,catchall,gok,xdm_t,games_data_t,dir,getattr
audit2allow suggests:

#============= xdm_t ==============
allow xdm_t games_data_t:dir getattr;

Comment 1 Daniel Walsh 2009-12-15 21:03:42 UTC
Fixed in selinux-policy-3.6.32-59.fc12.noarch

Comment 2 Fedora Update System 2009-12-16 13:56:52 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 3 Fedora Update System 2009-12-18 04:44:52 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384


Note You need to log in before you can comment on or make changes to this bug.